import {
  a as g
} from "./chunk-NDNECGXU.js";
import {
  a as l
} from "./chunk-QTQZMBTA.js";
import {
  a as t,
  c as o
} from "./chunk-IO47FP3U.js";

// ../node_modules/refractor/lang/erb.js
var d = o((p, u) => {
  var s = l(), b = g();
  u.exports = n;
  n.displayName = "erb";
  n.aliases = [];
  function n(r) {
    r.register(s), r.register(b), function(e) {
      e.languages.erb = {
        delimiter: {
          pattern: /^(\s*)<%=?|%>(?=\s*$)/,
          lookbehind: !0,
          alias: "punctuation"
        },
        ruby: {
          pattern: /\s*\S[\s\S]*/,
          alias: "language-ruby",
          inside: e.languages.ruby
        }
      }, e.hooks.add("before-tokenize", function(a) {
        var i = /<%=?(?:[^\r\n]|[\r\n](?!=begin)|[\r\n]=begin\s(?:[^\r\n]|[\r\n](?!=end))*[\r\n]=end)+?%>/g;
        e.languages["markup-templating"].buildPlaceholders(
          a,
          "erb",
          i
        );
      }), e.hooks.add("after-tokenize", function(a) {
        e.languages["markup-templating"].tokenizePlaceholders(a, "erb");
      });
    }(r);
  }
  t(n, "erb");
});

export {
  d as a
};
